﻿Imports System.Data
Partial Class _dropdownprovider
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Dim dt As New DataTable
            dt.Columns.Add("id", System.Type.GetType("System.Int32"))
            dt.Columns.Add("BoundCheckBoxField_0", System.Type.GetType("System.Boolean"))
            dt.Columns.Add("BoundCheckBoxField_1", System.Type.GetType("System.Boolean"))
            dt.Columns.Add("BoundColumn_0", System.Type.GetType("System.Int32"))
            dt.Columns.Add("BoundColumn_1", System.Type.GetType("System.String"))
            dt.PrimaryKey = New DataColumn() {dt.Columns("id")}
            For i = 0 To 4
                Dim row As DataRow = dt.NewRow
                row.BeginEdit()
                row("id") = i
                row("BoundCheckBoxField_0") = False
                row("BoundCheckBoxField_1") = False
                row("BoundColumn_0") = i
                row("BoundColumn_1") = ""
                row.EndEdit()
                dt.Rows.Add(row)
            Next
            WebDataGrid1.DataSource = dt
            WebDataGrid1.DataBind()

            dt = New DataTable
            dt.Columns.Add("reference_id", System.Type.GetType("System.Int32"))
            dt.Columns.Add("value", System.Type.GetType("System.String"))
            dt.PrimaryKey = New DataColumn() {dt.Columns("id")}
            For i = 0 To 4
                Dim row As DataRow = dt.NewRow
                row.BeginEdit()
                row("reference_id") = i
                row("value") = "display " & i.ToString
                row.EndEdit()
                dt.Rows.Add(row)
            Next
            ViewState("dt") = dt
            Dim oDDP As Infragistics.Web.UI.GridControls.DropDownProvider = WebDataGrid1.EditorProviders.GetProviderById("WebDataGrid1_DropDownProvider1")
            oDDP.EditorControl.DataSource = ViewState("dt")
            oDDP.EditorControl.TextField = "value"
            oDDP.EditorControl.ValueField = "reference_id"
            oDDP.EditorControl.DataBind()
        Else
            If MultiView1.ActiveViewIndex = 0 Then WebDataGrid1.EnsureTemplates()
        End If
    End Sub

    Protected Sub WebDataGrid1_RowAdding(sender As Object, e As Infragistics.Web.UI.GridControls.RowAddingEventArgs) Handles WebDataGrid1.RowAdding
        Diagnostics.Debug.Print(e.ToString)
    End Sub

    Protected Sub WebDataGrid1_RowUpdating(sender As Object, e As Infragistics.Web.UI.GridControls.RowUpdatingEventArgs) Handles WebDataGrid1.RowUpdating
        Diagnostics.Debug.Print(e.ToString)
    End Sub

    Protected Sub WebTab1_SelectedIndexChanged(sender As Object, e As Infragistics.Web.UI.LayoutControls.TabSelectedIndexChangedEventArgs) Handles WebTab1.SelectedIndexChanged
        MultiView1.SetActiveView(MultiView1.Views(e.NewIndex))
        If e.NewIndex = 0 Then
            Dim oDDP As Infragistics.Web.UI.GridControls.DropDownProvider = WebDataGrid1.EditorProviders.GetProviderById("WebDataGrid1_DropDownProvider1")
            oDDP.EditorControl.DataSource = ViewState("dt")
            oDDP.EditorControl.TextField = "value"
            oDDP.EditorControl.ValueField = "reference_id"
            oDDP.EditorControl.DataBind()
        End If
    End Sub
End Class
